## cong-text-cache

cong-text-cache —

## Synopsis

    CongTextCacheSpan* cong_text_cache_span_new (int original_first_byte_offset,
                                                 int stripped_first_byte_offset,
                                                 int byte_count);
    CongTextCache* cong_text_cache_new          (gboolean strip_whitespace,
                                                 const gchar *string,
                                                 PangoAttrList *attr_list);
    void        cong_text_cache_free            (CongTextCache *text_cache);
    gboolean    cong_text_cache_convert_stripped_byte_offset_to_original
                                                (CongTextCache *text_cache,
                                                 int stripped_byte_offset,
                                                 int *original_byte_offset);
    gboolean    cong_text_cache_convert_original_byte_offset_to_stripped
                                                (CongTextCache *text_cache,
                                                 int original_byte_offset,
                                                 int *stripped_byte_offset);

## Description

## Details

### cong_text_cache_span_new ()

    CongTextCacheSpan* cong_text_cache_span_new (int original_first_byte_offset,
                                                 int stripped_first_byte_offset,
                                                 int byte_count);

`original_first_byte_offset` : |
`stripped_first_byte_offset` : |
`byte_count` : |
Returns : |

### cong_text_cache_new ()

    CongTextCache* cong_text_cache_new          (gboolean strip_whitespace,
                                                 const gchar *string,
                                                 PangoAttrList *attr_list);

TODO: Write me

`strip_whitespace` : |
`string` : |
`attr_list` : |
Returns : |

### cong_text_cache_free ()

    void        cong_text_cache_free            (CongTextCache *text_cache);

TODO: Write me

`text_cache` : |

### cong_text_cache_convert_stripped_byte_offset_to_original ()

    gboolean    cong_text_cache_convert_stripped_byte_offset_to_original
                                                (CongTextCache *text_cache,
                                                 int stripped_byte_offset,
                                                 int *original_byte_offset);

TODO: Write me

`text_cache` : |
`stripped_byte_offset` : |
`original_byte_offset` : |
Returns : |

### cong_text_cache_convert_original_byte_offset_to_stripped ()

    gboolean    cong_text_cache_convert_original_byte_offset_to_stripped
                                                (CongTextCache *text_cache,
                                                 int original_byte_offset,
                                                 int *stripped_byte_offset);

TODO: Write me

`text_cache` : |
`original_byte_offset` : |
`stripped_byte_offset` : |
Returns : |